Bug 1296284 - python-configobj - Provides a python2-{name} subpackage.
python-configobj - Provides a python2-{name} subpackage.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-configobj (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-01-06 14:31 EST by William Moreno
Modified: 2016-09-19 22:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-configobj-5.0.6-3.fc23 python-configobj-5.0.6-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-16 08:21:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2016-01-06 14:31:49 EST
This package does not provide "python2-<module>".

As per Python packaging guidelines [0], when there are two versions of
module "foo", the two packages must provide:
"python3-foo" for Python 3
"python2-foo" for Python 2
"python-foo" for the system default Python (currently 2, but this might
change in the future)

Please use the %python_provide macro [1] to specify the correct provides.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with this
issue, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1]
https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro

Also there is a sphinx documentation than can be build and include in a docs subpackage
Comment 1 Fabio Alessandro Locati 2016-01-06 14:47:09 EST
Thanks, it should be fixed in the version that is pending for update-testing :)
Comment 2 Fedora Update System 2016-01-07 10:43:54 EST
python-configobj-5.0.6-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-893ca47890
Comment 3 Fedora Update System 2016-01-07 10:43:54 EST
python-configobj-5.0.6-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fb9159164d
Comment 4 Fedora Update System 2016-01-08 23:25:41 EST
python-configobj-5.0.6-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fb9159164d
Comment 5 Fedora Update System 2016-01-08 23:28:13 EST
python-configobj-5.0.6-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-893ca47890
Comment 6 Fedora Update System 2016-01-16 08:21:35 EST
python-configobj-5.0.6-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-01-17 13:51:34 EST
python-configobj-5.0.6-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.